import { PegasusUtility } from "./pegasus-utility.js";

export const defaultItemImg = {
  specialisation: "systems/fvtt-pegasus-rpg/images/icons/icon_spec.webp",
  perk: "systems/fvtt-pegasus-rpg/images/icons/icon_perk.webp",
  ability: "systems/fvtt-pegasus-rpg/images/icons/icon_ability.webp",
  armor: "systems/fvtt-pegasus-rpg/images/icons/icon_armor.webp",
  weapon: "systems/fvtt-pegasus-rpg/images/icons/icon_weapon.webp",
  equipment: "systems/fvtt-pegasus-rpg/images/icons/icon_equipment.webp",
}

/**
 * Extend the basic ItemSheet with some very simple modifications
 * @extends {ItemSheet}
 */
export class PegasusItem extends Item {

  constructor(data, context) {
    if (!data.img) {
      data.img = defaultItemImg[data.type];
    }
    super(data, context);
  }

}
